<?php
$l['mn_fprom'] = 'Forum Promotions';
$l['mn_fprom_desc'] = 'Here you can manage Forum Promotions.';
$l['mn_fprom_add'] = 'Add New Promotion';
$l['mn_fprom_add_desc'] = 'Here you can create new promotions which are automatically run on your board.';
$l['mn_fprom_logs'] = 'Promotion Logs';
$l['mn_fprom_edit'] = 'Edit Promotion';
$l['mn_fprom_edit_desc'] = 'Here you can edit promotions which are automatically run on your board.';
$l['mn_fprom_view_logs'] = 'View Promotion Logs';
$l['mn_fprom_view_logs_desc'] = 'Here you can view logs of promotions previously run.';
$l['mn_fprom_title'] = 'Title';
$l['mn_fprom_do'] = 'Display Order';
$l['mn_fprom_title_do'] = 'Promotion Order &amp; Title';
$l['mn_fprom_title_do_desc'] = 'All forum promotions will be run ordered by Promotion Order, from lower to greater.';
$l['mn_fprom_post_count'] = 'Post Count';
$l['mn_fprom_thread_count'] = 'Thread Count';
$l['mn_fprom_req'] = 'Promotion Requirements';
$l['mn_fprom_req_desc'] = 'Compose the criteria must be met for this promotion.';
$l['mn_fprom_greater_than'] = '&gt;';
$l['mn_fprom_greater_than_or_equal_to'] = '&ge;';
$l['mn_fprom_equal_to'] = '=';
$l['mn_fprom_less_than'] = '&lt;';
$l['mn_fprom_less_than_or_equal_to'] = '&le;';
$l['mn_fprom_logs_prune'] = 'Prune Forum Promotion Logs';
$l['mn_fprom_older_than'] = 'Older than ';
$l['mn_fprom_days'] = 'days';
$l['mn_fprom_enabled_status'] = 'Enabled';
$l['mn_fprom_disabled_status'] = 'Disabled';
$l['mn_fprom_promote_desc'] = 'Promotion Descriptions';
$l['mn_fprom_change_pug'] = 'Change Primary User Group from {1} to {2}';
$l['mn_fprom_remove_sug'] = 'Remove {1} from Secondary User Group';
$l['mn_fprom_add_sug'] = 'Add {1} to Secondary User Group';
$l['mn_fprom_deleted_ug'] = 'Deleted User Group';
$l['mn_fprom_forum_deleted'] = 'Deleted Forum';
$l['mn_fprom_criteria'] = '{1} {2} {3} in {4} forums';
$l['mn_fprom_stug'] = 'Primary User Group';
$l['mn_fprom_ndug'] = 'Secondary User Group';
$l['mn_fprom_pug'] = 'Change Primary User Group to';
$l['mn_fprom_sug'] = 'Add Secondary User Group';
$l['mn_fprom_rsug'] = 'Remove Secondary User Group';
$l['mn_fprom_ug'] = 'User Group Change';
$l['mn_fprom_before'] = 'Before';
$l['mn_fprom_after'] = 'After';
$l['mn_fprom_none'] = '<em>None</em>';
$l['mn_fprom_removed_sug'] = 'Remove {1} from Secondary User Group<br />Before: {2}';
$l['mn_fprom_added_sug'] = 'Add {1} to Secondary User Group<br />Before: {2}';
$l['mn_fprom_ug_desc'] = '<ul><li>Select which user group that the user must be in for the promotion to run.</li><li>Select <em>{1}</em> to change their primary user group to the new user group.<br />Select <em>{2}</em> to add the specified user group to their secondary user group.<br />Select <em>{3}</em> to remove the specified user group form their secondary user group.</li><li>Select the user group that will be moved/added/removed into after this promotion.</li></ul>';
$l['mn_fprom_forum'] = 'Forums';
$l['mn_fprom_forum_desc'] = 'Select in which forum(s) the criteria must be applied for this promotion. Holding down CTRL selects multiple forum.';
$l['mn_fprom_enabled'] = 'Enabled?';
$l['mn_fprom_enable_logging'] = 'Enable Logging?';
$l['mn_fprom_update_promotion'] = 'Save Promotion';
$l['mn_fprom_oug'] = 'Original User Group';
$l['mn_fprom_nug'] = 'New User Group';
$l['mn_fprom_ug_ct'] = 'Promotion Type';
$l['mn_fprom_promoted_user'] = 'Promoted User';
$l['mn_fprom_dateline'] = 'Time Promoted';
$l['mn_fprom_no_promotion_logs'] = 'There are currently no promotions logged.';
$l['mn_fprom_promotion_manager'] = 'Promotions Manager';
$l['mn_fprom_promotion'] = 'Promotion';
$l['mn_fprom_disable_promotion'] = 'Disable Promotion';
$l['mn_fprom_enable_promotion'] = 'Enable Promotion';
$l['mn_fprom_delete_promotion'] = 'Delete Promotion';
$l['mn_fprom_no_promotions_set'] = 'There are currently no set promotions.';
$l['mn_fprom_error_no_promid'] = 'You did not enter a promotion id';
$l['mn_fprom_error_invalid_promid'] = 'You did not enter a valid promotion id';
$l['mn_fprom_error_no_title'] = 'You did not enter the &quot;{1}&quot; for this promotion';
$l['mn_fprom_error_no_do'] = 'You did not enter the &quot;{1}&quot; for this promotion';
$l['mn_fprom_error_no_req'] = 'Please select the &quot;{1}&quot; for this promotion';
$l['mn_fprom_error_no_ct'] = 'Please select the type in the &quot;{1}&quot; for this promotion';
$l['mn_fprom_error_no_forum'] = 'You did not select at least one forum for this promotion';
$l['mn_fprom_error_no_count'] = 'Please enter a number value greater than 0 in the &quot;{1}&quot; for this promotion';
$l['mn_fprom_error_no_oug'] = 'You did not select at least one original user group for this promotion';
$l['mn_fprom_error_no_nug'] = 'You did not select at least one new user group for this promotion';
$l['mn_fprom_error_no_ugtype'] = 'You did not select at least one user group change type for this promotion';
$l['mn_fprom_error_same_ug'] = 'Please select a different user group for original user group and new user group in the &quot;{1}&quot; for this promotion';
$l['mn_fprom_no_logs_prune'] = 'There is no forum promotion logs entries {1}{2} {3}.';
$l['mn_fprom_logs_prune_error'] = 'You are not allowed to prune forum promotion logs.';
$l['mn_fprom_success_promo_disabled'] = 'The selected forum promotion has been disabled successfully.';
$l['mn_fprom_success_promo_deleted'] = 'The selected forum promotion has been deleted successfully.';
$l['mn_fprom_success_promo_enabled'] = 'The selected forum promotion has been enabled successfully.';
$l['mn_fprom_success_promo_updated'] = 'The selected forum promotion has been updated successfully.';
$l['mn_fprom_success_promo_do_updated'] = 'The Display Order has been updated successfully.';
$l['mn_fprom_success_logs_prune'] = '{1} forum promotion logs {2}{3} {4} has been pruned successfully.';
$l['mn_fprom_success_promo_added'] = 'The promotion has been created successfully.';
$l['mn_fprom_confirm_promo_disable'] = "Are you sure you want to disable this promotion?";
$l['mn_fprom_confirm_promdel'] = 'Are you sure you wish to delete this promotion?';
?>