<?php
function task_mn_fprom($task){
	global $mybb, $db, $lang, $cache;	
	$usergroups = $cache->read('usergroups');
	$query = $db->simple_select('mn_fprom','*','promactive=1',array('order_by'=>'promdo asc'));
	while($promotion = $db->fetch_array($query)){
		if(!array_key_exists($promotion['promnug'],$usergroups)){
			$update = array(
				'promactive' => 0
			);
			$db->update_query('mn_fprom',$update,'promid='.intval($promotion['promid']));
			continue;
		}
		$fids = array();
		$promforum = explode(',',$promotion['promforum']);
		foreach($promforum as $fid){
			$fids[] = intval($fid);
		}
		$promforum = implode(',',$fids);
		$r = $refcount = $visible = $left_join = '';
		if($promotion['promreq'] == 1){
			$r = 'p.'; $refcount = 'p.pid'; $visible = ' AND p.visible=1';
			$left_join = 'LEFT JOIN '.TABLE_PREFIX.'posts p ON (p.tid=t.tid)';
		}else{
			$r = 't.'; $refcount = 't.tid'; $visible = $left_join = '';
		}
		$uid = array();
		$log_inserts = array();
		if($promotion['promugtype'] == 1){
			$usergroup_select = 'u.usergroup';
		}else{
			$usergroup_select = 'u.additionalgroups';
		}
		$query2 = $db->query('
			SELECT COUNT('.$refcount.') AS numtps,u.uid,'.$usergroup_select.'
			FROM '.TABLE_PREFIX.'threads t
			'.$left_join.'
			LEFT JOIN '.TABLE_PREFIX.'users u ON (u.uid='.$r.'uid)
			WHERE t.fid IN ('.$promforum.') AND u.usergroup='.intval($promotion['promoug']).' AND u.usergroup!='.intval($promotion['promnug']).$visible.' AND t.visible=1 AND t.closed NOT LIKE "moved|%" AND u.lastactive >= '.$task['lastrun'].'
			GROUP BY u.uid HAVING numtps '.$db->escape_string($promotion['promcounttype']).' '.intval($promotion['promcount'])
		);
		while($user = $db->fetch_array($query2)){
			if($promotion['promugtype'] == 1){
				$log_inserts[] = array(
					'promid' => intval($promotion['promid']),
					'uid' => intval($user['uid']),
					'promoug' => intval($user['usergroup']),
					'promnug' => intval($promotion['promnug']),
					'dateline' => TIME_NOW,
					'promugtype' => 1
				);
			}else{
				$log_inserts[] = array(
					'promid' => intval($promotion['promid']),
					'uid' => intval($user['uid']),
					'promoug' => $db->escape_string($user['additionalgroups']),
					'promnug' => intval($promotion['promnug']),
					'dateline' => TIME_NOW,
					'promugtype' => intval($promotion['promugtype'])
				);
			}
			$uids[] = $user['uid'];
			switch ($promotion['promugtype']){
				case 2:
					if(join_usergroup($user['uid'],$promotion['promnug']) === false){
						array_pop($log_inserts);
						array_pop($uids);
					}
				break;
				case 3:
					if(strpos(','.$user['additionalgroups'].',',','.$promotion['promnug'].',') !== false){
						leave_usergroup($user['uid'],$promotion['promnug']);
					}else{
						array_pop($log_inserts);
						array_pop($uids);
					}
				break;
			}
			if((count($uids) % 20) == 0){
				if($promotion['promugtype'] == 1){
					$db->update_query('users',array('usergroup'=>intval($promotion['promnug'])),'uid IN('.implode(',',$uids).')');
				}
				if(!empty($log_inserts)){
					$db->insert_query_multiple('mn_fprom_logs',$log_inserts);
				}
				$uids = array();
				$log_inserts = array();
			}
		}
		if(count($uids) > 0){
			if($promotion['promugtype'] == 1){
				$db->update_query('users',array('usergroup'=>intval($promotion['promnug'])),'uid IN('.implode(',',$uids).')');
			}
			if(!empty($log_inserts)){
				$db->insert_query_multiple('mn_fprom_logs',$log_inserts);
			}
			$uids = array();
			$log_inserts = array();
		}
	}
	$cache->update_moderators();
	add_task_log($task,$lang->task_promotions_ran);
}
?>
